List client health
curl --request GET \
--url https://app.msportal.ai/api/public/v1/customer-success/client-health \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.msportal.ai/api/public/v1/customer-success/client-health"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.msportal.ai/api/public/v1/customer-success/client-health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.msportal.ai/api/public/v1/customer-success/client-health",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.msportal.ai/api/public/v1/customer-success/client-health"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.msportal.ai/api/public/v1/customer-success/client-health")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.msportal.ai/api/public/v1/customer-success/client-health")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyName": "<string>",
"healthScore": 123,
"previousHealthScore": 123,
"healthTrend": "<string>",
"riskLevel": "<string>",
"scoreStatus": "available",
"coverage": 123,
"serviceQualityScore": 123,
"engagementScore": 123,
"financialScore": 123,
"salesScore": 123,
"projectScore": 123,
"toolStackScore": 123,
"environmentScore": 123,
"operationalScore": 123,
"topNegativeDrivers": [
{
"dimension": "<string>",
"score": 123,
"effect": 123,
"impact": 123
}
],
"latestNps": 123,
"ticketCount90d": 123,
"daysSinceLastMeeting": 123,
"daysSinceLastContact": 123,
"overdueInvoiceCount": 123,
"totalOutstanding": 123,
"toolStackPct": 123,
"deviceCount": 123,
"overduePlannerItems": 123,
"computedRiskLevel": "<string>",
"riskOverride": true,
"riskOverrideNote": "<string>",
"riskOverrideAt": "<string>",
"riskOverrideBy": "<string>",
"computedAt": "<string>"
}
],
"pagination": {
"page": 2,
"limit": 50,
"totalCount": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPrevPage": true
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Customer Success
List client health
Client health scores across companies with risk level, trend, dimension scores and key engagement/financial signals. Requires customer_success.read and the linked user’s read_customer_success permission.
GET
/
api
/
public
/
v1
/
customer-success
/
client-health
List client health
curl --request GET \
--url https://app.msportal.ai/api/public/v1/customer-success/client-health \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.msportal.ai/api/public/v1/customer-success/client-health"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.msportal.ai/api/public/v1/customer-success/client-health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.msportal.ai/api/public/v1/customer-success/client-health",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.msportal.ai/api/public/v1/customer-success/client-health"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.msportal.ai/api/public/v1/customer-success/client-health")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.msportal.ai/api/public/v1/customer-success/client-health")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyName": "<string>",
"healthScore": 123,
"previousHealthScore": 123,
"healthTrend": "<string>",
"riskLevel": "<string>",
"scoreStatus": "available",
"coverage": 123,
"serviceQualityScore": 123,
"engagementScore": 123,
"financialScore": 123,
"salesScore": 123,
"projectScore": 123,
"toolStackScore": 123,
"environmentScore": 123,
"operationalScore": 123,
"topNegativeDrivers": [
{
"dimension": "<string>",
"score": 123,
"effect": 123,
"impact": 123
}
],
"latestNps": 123,
"ticketCount90d": 123,
"daysSinceLastMeeting": 123,
"daysSinceLastContact": 123,
"overdueInvoiceCount": 123,
"totalOutstanding": 123,
"toolStackPct": 123,
"deviceCount": 123,
"overduePlannerItems": 123,
"computedRiskLevel": "<string>",
"riskOverride": true,
"riskOverrideNote": "<string>",
"riskOverrideAt": "<string>",
"riskOverrideBy": "<string>",
"computedAt": "<string>"
}
],
"pagination": {
"page": 2,
"limit": 50,
"totalCount": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPrevPage": true
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Authorizations
Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.
Query Parameters
Page number
Required range:
x >= 1Items per page
Required range:
1 <= x <= 100Filter to one company
Filter by risk level (repeat the key or comma-separate)
Available options:
thriving, healthy, at_risk, critical Search company name
Maximum string length:
200Sort column
Available options:
health_score, service_quality_score, engagement_score, financial_score, sales_score, project_score, tool_stack_score, environment_score, operational_score, company_name, risk_level Available options:
asc, desc Was this page helpful?